diff --git a/src/odbc/unittests/cursor7.c b/src/odbc/unittests/cursor7.c
index 02cac03..6aaf64d 100644
--- a/src/odbc/unittests/cursor7.c
+++ b/src/odbc/unittests/cursor7.c
@@ -2,7 +2,7 @@
 
 /* Test SQLFetchScroll with a non-unitary rowset, using bottom-up direction */
 
-static char software_version[] = "$Id: cursor7.c,v 1.6 2008/11/04 10:59:02 freddy77 Exp $";
+static char software_version[] = "$Id: cursor7.c,v 1.7 2008/11/04 14:46:17 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 static void
@@ -71,10 +71,10 @@ Init(void)
 
 	printf("\n\nCreating table #cursor7_test with 12 records.\n");
 
-	Command(Statement, "\tCREATE TABLE #cursor7_test (i INT, c VARCHAR(20))");
+	Command("\tCREATE TABLE #cursor7_test (i INT, c VARCHAR(20))");
 	for (i = 1; i <= 12; ++i) {
 		sprintf(sql, "\tINSERT INTO #cursor7_test(i,c) VALUES(%d, 'a%db%dc%d')", i, i, i, i);
-		Command(Statement, sql);
+		Command(sql);
 	}
 
 }
diff --git a/src/odbc/unittests/data.c b/src/odbc/unittests/data.c
index 557453b..0d38b0b 100644
--- a/src/odbc/unittests/data.c
+++ b/src/odbc/unittests/data.c
@@ -13,7 +13,7 @@
  * Also we have to check normal char and wide char
  */
 
-static char software_version[] = "$Id: data.c,v 1.25 2008/11/04 10:59:02 freddy77 Exp $";
+static char software_version[] = "$Id: data.c,v 1.26 2008/11/04 14:46:17 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 static int result = 0;
@@ -35,7 +35,7 @@ Test(const char *type, const char *value_to_convert, SQLSMALLINT out_c_type, con
 	sprintf(sbuf, "SELECT CONVERT(%s, '%s') AS data", type, value_to_convert);
 	if (strncmp(value_to_convert, "0x", 2) == 0)
 		sprintf(sbuf, "SELECT CONVERT(%s, %s) COLLATE Latin1_General_CI_AS AS data", type, value_to_convert);
-	Command(Statement, sbuf);
+	Command(sbuf);
 	SQLBindCol(Statement, 1, out_c_type, out_buf, sizeof(out_buf), &out_len);
 	CHKFetch("S");
 	CHKFetch("No");
diff --git a/src/odbc/unittests/date.c b/src/odbc/unittests/date.c
index 1b1075c..3941e9e 100644
--- a/src/odbc/unittests/date.c
+++ b/src/odbc/unittests/date.c
@@ -1,7 +1,7 @@
 #include "common.h"
 
 
-static char software_version[] = "$Id: date.c,v 1.11 2008/11/04 10:59:02 freddy77 Exp $";
+static char software_version[] = "$Id: date.c,v 1.12 2008/11/04 14:46:17 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 static void
@@ -16,7 +16,7 @@ DoTest(int n)
 
 	TIMESTAMP_STRUCT ts;
 
-	Command(Statement, "select convert(datetime, '2002-12-27 18:43:21')");
+	Command("select convert(datetime, '2002-12-27 18:43:21')");
 
 	CHKFetch("SI");
 	CHKDescribeCol(1, output, sizeof(output), NULL, &colType, &colSize, &colScale, &colNullable, "S");
diff --git a/src/odbc/unittests/describecol.c b/src/odbc/unittests/describecol.c
index 234e45a..b521dd5 100644
--- a/src/odbc/unittests/describecol.c
+++ b/src/odbc/unittests/describecol.c
@@ -6,7 +6,7 @@
  * test what say SQLDescribeCol about precision using some type
  */
 
-static char software_version[] = "$Id: describecol.c,v 1.15 2008/11/04 10:59:02 freddy77 Exp $";
+static char software_version[] = "$Id: describecol.c,v 1.16 2008/11/04 14:46:17 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 static int g_result = 0;
@@ -211,7 +211,7 @@ main(int argc, char *argv[])
 	get_attr_t get_attr_p = get_attr_none;
 
 	Connect();
-	Command(Statement, "SET TEXTSIZE 4096");
+	Command("SET TEXTSIZE 4096");
 
 	SQLBindCol(Statement, 1, SQL_C_SLONG, &i, sizeof(i), &len);
 
@@ -244,7 +244,7 @@ main(int argc, char *argv[])
 				use_odbc_version3 = odbc3;
 				Disconnect();
 				Connect();
-				Command(Statement, "SET TEXTSIZE 4096");
+				Command("SET TEXTSIZE 4096");
 				SQLBindCol(Statement, 1, SQL_C_SLONG, &i, sizeof(i), &len);
 			}
 		}
diff --git a/src/odbc/unittests/earlybind.c b/src/odbc/unittests/earlybind.c
index 80a1893..e931d29 100644
--- a/src/odbc/unittests/earlybind.c
+++ b/src/odbc/unittests/earlybind.c
@@ -1,6 +1,6 @@
 #include "common.h"
 
-static char software_version[] = "$Id: earlybind.c,v 1.3 2006/03/23 14:53:44 freddy77 Exp $";
+static char software_version[] = "$Id: earlybind.c,v 1.4 2008/11/04 14:46:17 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 int
@@ -12,15 +12,15 @@ main(int argc, char *argv[])
 
 	Connect();
 
-	Command(Statement, "CREATE TABLE #test(id INT, name VARCHAR(100))");
-	Command(Statement, "INSERT INTO #test(id, name) VALUES(8, 'sysobjects')");
+	Command("CREATE TABLE #test(id INT, name VARCHAR(100))");
+	Command("INSERT INTO #test(id, name) VALUES(8, 'sysobjects')");
 
 	/* bind before select */
 	SQLBindCol(Statement, 1, SQL_C_SLONG, &id, sizeof(SQLINTEGER), &ind1);
 	SQLBindCol(Statement, 2, SQL_C_CHAR, name, sizeof(name), &ind2);
 
 	/* do select */
-	Command(Statement, "SELECT id, name FROM #test WHERE name = 'sysobjects' SELECT 123, 'foo'");
+	Command("SELECT id, name FROM #test WHERE name = 'sysobjects' SELECT 123, 'foo'");
 
 	/* get results */
 	id = -1;
@@ -52,7 +52,7 @@ main(int argc, char *argv[])
 	SQLMoreResults(Statement);
 
 	/* other select */
-	Command(Statement, "SELECT 321, 'minni'");
+	Command("SELECT 321, 'minni'");
 
 	/* get results */
 	id = -1;
diff --git a/src/odbc/unittests/error.c b/src/odbc/unittests/error.c
index 1475b6b..153bdd1 100644
--- a/src/odbc/unittests/error.c
+++ b/src/odbc/unittests/error.c
@@ -2,7 +2,7 @@
 
 /* some tests on error reporting */
 
-static char software_version[] = "$Id: error.c,v 1.5 2008/11/04 10:59:02 freddy77 Exp $";
+static char software_version[] = "$Id: error.c,v 1.6 2008/11/04 14:46:17 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 static SQLCHAR output[256];
@@ -24,12 +24,12 @@ main(int argc, char *argv[])
 	Connect();
 
 	/* create a test table */
-	Command(Statement, "create table #tmp (i int)");
-	Command(Statement, "insert into #tmp values(3)");
-	Command(Statement, "insert into #tmp values(4)");
-	Command(Statement, "insert into #tmp values(5)");
-	Command(Statement, "insert into #tmp values(6)");
-	Command(Statement, "insert into #tmp values(7)");
+	Command("create table #tmp (i int)");
+	Command("insert into #tmp values(3)");
+	Command("insert into #tmp values(4)");
+	Command("insert into #tmp values(5)");
+	Command("insert into #tmp values(6)");
+	Command("insert into #tmp values(7)");
 
 	/* issue our command */
 	retcode = CommandWithResult(Statement, "select 100 / (i - 5) from #tmp order by i");
@@ -60,8 +60,9 @@ main(int argc, char *argv[])
 
 	CHKAllocStmt(&stmt, "S");
 
-	Command(Statement, "SELECT * FROM sysobjects");
+	Command("SELECT * FROM sysobjects");
 
+	/* a statement is already active so you get error */
 	CHKR(CommandWithResult, (stmt, "SELECT * FROM sysobjects"), "E");
 
 	tmp_stmt = Statement;
diff --git a/src/odbc/unittests/freeclose.c b/src/odbc/unittests/freeclose.c
index 7908880..3e8422e 100644
--- a/src/odbc/unittests/freeclose.c
+++ b/src/odbc/unittests/freeclose.c
@@ -50,7 +50,7 @@
 
 #include "tds.h"
 
-static char software_version[] = "$Id: freeclose.c,v 1.7 2008/11/04 10:59:02 freddy77 Exp $";
+static char software_version[] = "$Id: freeclose.c,v 1.8 2008/11/04 14:46:17 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 /* this crazy test test that we do not send too much prepare ... */
@@ -313,7 +313,7 @@ main(int argc, char **argv)
 	Connect();
 
 	/* real test */
-	Command(Statement, "CREATE TABLE #test(i int, c varchar(40))");
+	Command("CREATE TABLE #test(i int, c varchar(40))");
 
 	ResetStatement();
 
diff --git a/src/odbc/unittests/funccall.c b/src/odbc/unittests/funccall.c
index d5a1323..43b62bd 100644
--- a/src/odbc/unittests/funccall.c
+++ b/src/odbc/unittests/funccall.c
@@ -2,7 +2,7 @@
 
 /* Test for {?=call store(?)} syntax and run */
 
-static char software_version[] = "$Id: funccall.c,v 1.16 2008/11/04 10:59:02 freddy77 Exp $";
+static char software_version[] = "$Id: funccall.c,v 1.17 2008/11/04 14:46:17 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 int
@@ -15,9 +15,9 @@ main(int argc, char *argv[])
 
 	Connect();
 
-	Command(Statement, "IF OBJECT_ID('simpleresult') IS NOT NULL DROP PROC simpleresult");
+	Command("IF OBJECT_ID('simpleresult') IS NOT NULL DROP PROC simpleresult");
 
-	Command(Statement, "create proc simpleresult @i int as begin return @i end");
+	Command("create proc simpleresult @i int as begin return @i end");
 
 	CHKBindParameter(2, SQL_PARAM_INPUT, SQL_C_SLONG, SQL_INTEGER, 0, 0, &input, 0, &ind2, "S");
 	CHKBindParameter(1, SQL_PARAM_OUTPUT, SQL_C_SLONG, SQL_INTEGER, 0, 0, &output, 0, &ind, "S");
@@ -41,7 +41,7 @@ main(int argc, char *argv[])
 	}
 
 	/* just to reset some possible buffers */
-	Command(Statement, "DECLARE @i INT");
+	Command("DECLARE @i INT");
 
 	/* same test but with SQLExecDirect and same bindings */
 	input = 567;
@@ -57,16 +57,15 @@ main(int argc, char *argv[])
 	/* should return "Invalid cursor state" */
 	CHKFetch("E");
 
-	Command(Statement, "drop proc simpleresult");
+	Command("drop proc simpleresult");
 
-	Command(Statement, "IF OBJECT_ID('simpleresult2') IS NOT NULL DROP PROC simpleresult2");
+	Command("IF OBJECT_ID('simpleresult2') IS NOT NULL DROP PROC simpleresult2");
 
 	/* force cursor close */
 	SQLCloseCursor(Statement);
 
 	/* test output parameter */
-	Command(Statement,
-		"create proc simpleresult2 @i int, @x int output, @y varchar(20) output as begin select @x = 6789 select @y = 'test foo' return @i end");
+	Command("create proc simpleresult2 @i int, @x int output, @y varchar(20) output as begin select @x = 6789 select @y = 'test foo' return @i end");
 
 	CHKBindParameter(1, SQL_PARAM_OUTPUT, SQL_C_SLONG, SQL_INTEGER, 0,  0, &output, 0,            &ind,  "S");
 	CHKBindParameter(2, SQL_PARAM_INPUT,  SQL_C_SLONG, SQL_INTEGER, 0,  0, &input,  0,            &ind2, "S");
@@ -91,23 +90,20 @@ main(int argc, char *argv[])
 	}
 
 	/* should return "Invalid cursor state" */
-	if (SQLFetch(Statement) != SQL_ERROR) {
-		fprintf(stderr, "Data not expected\n");
-		exit(1);
-	}
+	CHKFetch("E");
 
-	Command(Statement, "drop proc simpleresult2");
+	Command("drop proc simpleresult2");
 
 	/*
 	 * test from shiv kumar
 	 * Cfr ML 2006-11-21 "specifying a 0 for the StrLen_or_IndPtr in the
 	 * SQLBindParameter call is not working on AIX"
 	 */
-	Command(Statement, "IF OBJECT_ID('rpc_read') IS NOT NULL DROP PROC rpc_read");
+	Command("IF OBJECT_ID('rpc_read') IS NOT NULL DROP PROC rpc_read");
 
 	ResetStatement();
 
-	Command(Statement, "create proc rpc_read @i int, @x timestamp as begin select 1 return 1234 end");
+	Command("create proc rpc_read @i int, @x timestamp as begin select 1 return 1234 end");
 	SQLCloseCursor(Statement);
 
 	CHKPrepare((SQLCHAR *) "{ ? = CALL rpc_read ( ?, ? ) }" , SQL_NTS, "S");
@@ -128,7 +124,7 @@ main(int argc, char *argv[])
 	CHKFetch("No");
 
 	ResetStatement();
-	Command(Statement, "drop proc rpc_read");
+	Command("drop proc rpc_read");
 
 	/*
 	 * Test from Joao Amaral
@@ -141,8 +137,8 @@ main(int argc, char *argv[])
 
 		ResetStatement();
 
-		Command(Statement, "IF OBJECT_ID('sp_test') IS NOT NULL DROP PROC sp_test");
-		Command(Statement, "create proc sp_test @res int output as set @res = 456");
+		Command("IF OBJECT_ID('sp_test') IS NOT NULL DROP PROC sp_test");
+		Command("create proc sp_test @res int output as set @res = 456");
 
 		ResetStatement();
 
@@ -156,7 +152,7 @@ main(int argc, char *argv[])
 			fprintf(stderr, "Invalid result %d(%x)\n", (int) output, (int) output);
 			return 1;
 		}
-		Command(Statement, "drop proc sp_test");
+		Command("drop proc sp_test");
 	}
 
 	Disconnect();
diff --git a/src/odbc/unittests/genparams.c b/src/odbc/unittests/genparams.c
index bb0b542..75a9483 100644
--- a/src/odbc/unittests/genparams.c
+++ b/src/odbc/unittests/genparams.c
@@ -18,7 +18,7 @@
  * Also we have to check normal char and wide char
  */
 
-static char software_version[] = "$Id: genparams.c,v 1.37 2008/11/04 10:59:02 freddy77 Exp $";
+static char software_version[] = "$Id: genparams.c,v 1.38 2008/11/04 14:46:17 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 #ifdef TDS_NO_DM
@@ -45,12 +45,12 @@ TestOutput(const char *type, const char *value_to_convert, SQLSMALLINT out_c_typ
 	ResetStatement();
 
 	/* build store procedure to test */
-	Command(Statement, "IF OBJECT_ID('spTestProc') IS NOT NULL DROP PROC spTestProc");
+	Command("IF OBJECT_ID('spTestProc') IS NOT NULL DROP PROC spTestProc");
 	sep = "'";
 	if (strncmp(value_to_convert, "0x", 2) == 0)
 		sep = "";
 	sprintf(sbuf, "CREATE PROC spTestProc @i %s OUTPUT AS SELECT @i = CONVERT(%s, %s%s%s)", type, type, sep, value_to_convert, sep);
-	Command(Statement, sbuf);
+	Command(sbuf);
 	memset(out_buf, 0, sizeof(out_buf));
 
 	if (use_cursors) {
@@ -108,7 +108,7 @@ TestOutput(const char *type, const char *value_to_convert, SQLSMALLINT out_c_typ
 		fprintf(stderr, "Wrong result\n  Got: %s\n  Expected: %s\n", sbuf, expected);
 		exit(1);
 	}
-	Command(Statement, "drop proc spTestProc");
+	Command("drop proc spTestProc");
 }
 
 static char check_truncation = 0;
@@ -135,7 +135,7 @@ TestInput(SQLSMALLINT out_c_type, const char *type, SQLSMALLINT out_sql_type, co
 	if (value_len >= 2 && strncmp(value_to_convert, "0x", 2) == 0)
 		sep = "";
 	sprintf(sbuf, "SELECT CONVERT(%s, %s%.*s%s)", type, sep, (int) value_len, value_to_convert, sep);
-	Command(Statement, sbuf);
+	Command(sbuf);
 	SQLBindCol(Statement, 1, out_c_type, out_buf, sizeof(out_buf), &out_len);
 	CHKFetch("SI");
 	CHKFetch("No");
@@ -148,7 +148,7 @@ TestInput(SQLSMALLINT out_c_type, const char *type, SQLSMALLINT out_sql_type, co
 	/* create a table with a column of that type */
 	ResetStatement();
 	sprintf(sbuf, "CREATE TABLE #tmp_insert (col %s)", param_type);
-	Command(Statement, sbuf);
+	Command(sbuf);
 
 	if (use_cursors) {
 		ResetStatement();
@@ -187,14 +187,14 @@ TestInput(SQLSMALLINT out_c_type, const char *type, SQLSMALLINT out_sql_type, co
 		if (strncmp(expected, "0x", 2) == 0)
 			sep = "";
 		sprintf(sbuf, "SELECT * FROM #tmp_insert WHERE col = CONVERT(%s, %s%s%s)", param_type, sep, expected, sep);
-		Command(Statement, sbuf);
+		Command(sbuf);
 
 		CHKFetch("S");
 		CHKFetch("No");
 		CHKMoreResults("No");
 	}
 	check_truncation = 0;
-	Command(Statement, "DROP TABLE #tmp_insert");
+	Command("DROP TABLE #tmp_insert");
 }
 
 static int big_endian = 1;
@@ -248,7 +248,7 @@ AllTests(void)
 	m = ltime->tm_mon + 1;
 	d = ltime->tm_mday;
 	/* server concept of data can be different so try ask to server */
-	Command(Statement, "SELECT GETDATE()");
+	Command("SELECT GETDATE()");
 	SQLBindCol(Statement, 1, SQL_C_CHAR, date, sizeof(date), NULL);
 	if (SQLFetch(Statement) == SQL_SUCCESS) {
 		int a, b, c;
diff --git a/src/odbc/unittests/getdata.c b/src/odbc/unittests/getdata.c
index b570f7a..76f169f 100644
--- a/src/odbc/unittests/getdata.c
+++ b/src/odbc/unittests/getdata.c
@@ -1,7 +1,7 @@
 #include "common.h"
 #include <assert.h>
 
-static char software_version[] = "$Id: getdata.c,v 1.9 2008/11/04 10:59:02 freddy77 Exp $";
+static char software_version[] = "$Id: getdata.c,v 1.10 2008/11/04 14:46:17 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 static char odbc_err[256];
@@ -26,7 +26,7 @@ test_err(const char *data, int c_type, const char *state)
 	char *buf = (char *) malloc(buf_size);
 
 	sprintf(sql, "SELECT '%s'", data);
-	Command(Statement, sql);
+	Command(sql);
 	SQLFetch(Statement);
 	CHKGetData(1, c_type, buf, buf_size, &ind, "E");
 	free(buf);
@@ -75,7 +75,7 @@ main(int argc, char *argv[])
 
 	for (;;) {
 		/* TODO test with VARCHAR too */
-		Command(Statement, "SELECT CONVERT(TEXT,'Prova')");
+		Command("SELECT CONVERT(TEXT,'Prova')");
 
 		CHKFetch("S");
 
@@ -97,7 +97,7 @@ main(int argc, char *argv[])
 		ResetStatement();
 
 		/* test with varchar, not blob but variable */
-		Command(Statement, "SELECT CONVERT(VARCHAR(100), 'Other test')");
+		Command("SELECT CONVERT(VARCHAR(100), 'Other test')");
 
 		CHKFetch("S");
 
@@ -123,7 +123,7 @@ main(int argc, char *argv[])
 	}
 
 	/* test with fixed length */
-	Command(Statement, "SELECT CONVERT(INT, 12345)");
+	Command("SELECT CONVERT(INT, 12345)");
 
 	CHKFetch("S");
 
@@ -165,7 +165,7 @@ main(int argc, char *argv[])
 		type = SQL_C_CHAR;
 
 		for (;;) {
-			Command(Statement, "SELECT CONVERT(TEXT,'')");
+			Command("SELECT CONVERT(TEXT,'')");
 
 			CHKFetch("S");
 
diff --git a/src/odbc/unittests/hidden.c b/src/odbc/unittests/hidden.c
index c106b7b..61a11c9 100755
--- a/src/odbc/unittests/hidden.c
+++ b/src/odbc/unittests/hidden.c
@@ -3,7 +3,7 @@
 
 #include "common.h"
 
-static char software_version[] = "$Id: hidden.c,v 1.6 2008/11/04 10:59:02 freddy77 Exp $";
+static char software_version[] = "$Id: hidden.c,v 1.7 2008/11/04 14:46:17 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 int
@@ -15,13 +15,13 @@ main(int argc, char **argv)
 	use_odbc_version3 = 1;
 	Connect();
 
-	Command(Statement, "CREATE TABLE #t1 ( k INT, c CHAR(10), vc VARCHAR(10) )");
-	Command(Statement, "CREATE TABLE #tmp1 (i NUMERIC(10,0) IDENTITY PRIMARY KEY, b VARCHAR(20) NULL, c INT NOT NULL)");
+	Command("CREATE TABLE #t1 ( k INT, c CHAR(10), vc VARCHAR(10) )");
+	Command("CREATE TABLE #tmp1 (i NUMERIC(10,0) IDENTITY PRIMARY KEY, b VARCHAR(20) NULL, c INT NOT NULL)");
 
 	/* test hidden column with FOR BROWSE */
 	ResetStatement();
 
-	Command(Statement, "SELECT c, b FROM #tmp1");
+	Command("SELECT c, b FROM #tmp1");
 
 	CHKNumResultCols(&cnt, "S");
 
diff --git a/src/odbc/unittests/insert_speed.c b/src/odbc/unittests/insert_speed.c
index 6fa5cbc..31bc2eb 100644
--- a/src/odbc/unittests/insert_speed.c
+++ b/src/odbc/unittests/insert_speed.c
@@ -1,7 +1,7 @@
 #include "common.h"
 #include <assert.h>
 
-static char software_version[] = "$Id: insert_speed.c,v 1.7 2008/11/04 10:59:02 freddy77 Exp $";
+static char software_version[] = "$Id: insert_speed.c,v 1.8 2008/11/04 14:46:17 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 #define SQL_QUERY_LENGTH 80
@@ -66,15 +66,15 @@ main(int argc, char **argv)
 	Connect();
 
 	CommandWithResult(Statement, "DROP TABLE test");
-	Command(Statement, "CREATE TABLE test(i int, c varchar(40))");
+	Command("CREATE TABLE test(i int, c varchar(40))");
 
 	insert_test_man();
 
-	Command(Statement, "DELETE FROM test");
+	Command("DELETE FROM test");
 
 	insert_test_auto();
 
-	Command(Statement, "DROP TABLE test");
+	Command("DROP TABLE test");
 
 	Disconnect();
 
diff --git a/src/odbc/unittests/moreandcount.c b/src/odbc/unittests/moreandcount.c
index 4ecf7af..db65f84 100644
--- a/src/odbc/unittests/moreandcount.c
+++ b/src/odbc/unittests/moreandcount.c
@@ -2,7 +2,7 @@
 
 /* Test for SQLMoreResults and SQLRowCount on batch */
 
-static char software_version[] = "$Id: moreandcount.c,v 1.16 2008/11/04 10:59:02 freddy77 Exp $";
+static char software_version[] = "$Id: moreandcount.c,v 1.17 2008/11/04 14:46:17 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 static void
@@ -86,11 +86,11 @@ main(int argc, char *argv[])
 {
 	Connect();
 
-	Command(Statement, "create table #tmp1 (i int)");
-	Command(Statement, "create table #tmp2 (i int)");
-	Command(Statement, "insert into #tmp1 values(1)");
-	Command(Statement, "insert into #tmp1 values(2)");
-	Command(Statement, "insert into #tmp1 values(5)");
+	Command("create table #tmp1 (i int)");
+	Command("create table #tmp2 (i int)");
+	Command("insert into #tmp1 values(1)");
+	Command("insert into #tmp1 values(2)");
+	Command("insert into #tmp1 values(5)");
 
 	printf("Use direct statement\n");
 	DoTest(0);
diff --git a/src/odbc/unittests/norowset.c b/src/odbc/unittests/norowset.c
index 9a2117d..cbe7d9e 100644
--- a/src/odbc/unittests/norowset.c
+++ b/src/odbc/unittests/norowset.c
@@ -1,6 +1,6 @@
 #include "common.h"
 
-static char software_version[] = "$Id: norowset.c,v 1.7 2008/11/04 10:59:02 freddy77 Exp $";
+static char software_version[] = "$Id: norowset.c,v 1.8 2008/11/04 14:46:17 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 /* Test that a select following a store procedure execution return results */
@@ -15,12 +15,12 @@ main(int argc, char *argv[])
 
 	CommandWithResult(Statement, "drop proc sp_norowset_test");
 
-	Command(Statement, "create proc sp_norowset_test as begin declare @i int end");
+	Command("create proc sp_norowset_test as begin declare @i int end");
 
-	Command(Statement, "exec sp_norowset_test");
+	Command("exec sp_norowset_test");
 
 	/* note, mssql 2005 seems to not return row for tempdb, use always master */
-	Command(Statement, "select name from master..sysobjects where name = 'sysobjects'");
+	Command("select name from master..sysobjects where name = 'sysobjects'");
 	CHKFetch("S");
 
 	CHKGetData(1, SQL_C_CHAR, output, sizeof(output), &dataSize, "S");
@@ -34,7 +34,7 @@ main(int argc, char *argv[])
 
 	CHKMoreResults("No");
 
-	Command(Statement, "drop proc sp_norowset_test");
+	Command("drop proc sp_norowset_test");
 
 	Disconnect();
 
diff --git a/src/odbc/unittests/paramcore.c b/src/odbc/unittests/paramcore.c
index 5d69ae3..b179b1a 100644
--- a/src/odbc/unittests/paramcore.c
+++ b/src/odbc/unittests/paramcore.c
@@ -4,7 +4,7 @@
  * Try to make core dump using SQLBindParameter
  */
 
-static char software_version[] = "$Id: paramcore.c,v 1.5 2008/11/04 10:59:02 freddy77 Exp $";
+static char software_version[] = "$Id: paramcore.c,v 1.6 2008/11/04 14:46:17 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 #define SP_TEXT "{call sp_paramcore_test(?)}"
@@ -36,7 +36,7 @@ main(int argc, char *argv[])
 	Connect();
 
 	CommandWithResult(Statement, "drop proc sp_paramcore_test");
-	Command(Statement, "create proc sp_paramcore_test @s varchar(100) output as select @s = '12345'");
+	Command("create proc sp_paramcore_test @s varchar(100) output as select @s = '12345'");
 
 	/* here we pass a NULL buffer for input SQL_NTS */
 	SQLBindParameter(Statement, 1, SQL_PARAM_INPUT, SQL_C_CHAR, SQL_VARCHAR, OUTSTRING_LEN, 0, NULL, OUTSTRING_LEN, &cb);
@@ -56,8 +56,8 @@ main(int argc, char *argv[])
 	ReadError();
 	ResetStatement();
 
-	Command(Statement, "drop proc sp_paramcore_test");
-	Command(Statement, "create proc sp_paramcore_test @s numeric(10,2) output as select @s = 12345.6");
+	Command("drop proc sp_paramcore_test");
+	Command("create proc sp_paramcore_test @s numeric(10,2) output as select @s = 12345.6");
 	ResetStatement();
 
 #if 0	/* this fails even on native platforms */
@@ -72,7 +72,7 @@ main(int argc, char *argv[])
 	ResetStatement();
 #endif
 
-	Command(Statement, "drop proc sp_paramcore_test");
+	Command("drop proc sp_paramcore_test");
 
 	Disconnect();
 
diff --git a/src/odbc/unittests/params.c b/src/odbc/unittests/params.c
index 9b17a27..9acd9b0 100644
--- a/src/odbc/unittests/params.c
+++ b/src/odbc/unittests/params.c
@@ -3,7 +3,7 @@
 /* Test for store procedure and params */
 /* Test from Tom Rogers */
 
-static char software_version[] = "$Id: params.c,v 1.10 2008/11/04 10:59:02 freddy77 Exp $";
+static char software_version[] = "$Id: params.c,v 1.11 2008/11/04 14:46:17 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 /* SP definition */
@@ -33,10 +33,10 @@ Test(int bind_before)
 	Connect();
 
 	/* drop proc */
-	Command(Statement, "IF OBJECT_ID('spTestProc') IS NOT NULL DROP PROC spTestProc");
+	Command("IF OBJECT_ID('spTestProc') IS NOT NULL DROP PROC spTestProc");
 
 	/* create proc */
-	Command(Statement, sp_define);
+	Command(sp_define);
 
 	if (!bind_before)
 		CHKPrepare((SQLCHAR *) SP_TEXT, strlen(SP_TEXT), "S");
@@ -55,7 +55,7 @@ Test(int bind_before)
 
 	CHKExecute("S");
 
-	Command(Statement, "DROP PROC spTestProc");
+	Command("DROP PROC spTestProc");
 
 	printf("Output:\n");
 	printf("   Return Code = %d\n", (int) ReturnCode);
diff --git a/src/odbc/unittests/prepare_results.c b/src/odbc/unittests/prepare_results.c
index da1549e..bcf3993 100644
--- a/src/odbc/unittests/prepare_results.c
+++ b/src/odbc/unittests/prepare_results.c
@@ -2,7 +2,7 @@
 
 /* Test for data format returned from SQLPrepare */
 
-static char software_version[] = "$Id: prepare_results.c,v 1.10 2008/11/04 10:59:02 freddy77 Exp $";
+static char software_version[] = "$Id: prepare_results.c,v 1.11 2008/11/04 14:46:17 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 int
@@ -14,10 +14,10 @@ main(int argc, char *argv[])
 
 	Connect();
 
-	Command(Statement, "create table #odbctestdata (i int, c char(20), n numeric(34,12) )");
+	Command("create table #odbctestdata (i int, c char(20), n numeric(34,12) )");
 
 	/* reset state */
-	Command(Statement, "select * from #odbctestdata");
+	Command("select * from #odbctestdata");
 	SQLFetch(Statement);
 	SQLMoreResults(Statement);
 
@@ -63,7 +63,7 @@ main(int argc, char *argv[])
 	}
 
 	/* TODO test SQLDescribeParam (when implemented) */
-	Command(Statement, "drop table #odbctestdata");
+	Command("drop table #odbctestdata");
 
 	Disconnect();
 
diff --git a/src/odbc/unittests/preperror.c b/src/odbc/unittests/preperror.c
index e3966bb..a6b0a71 100644
--- a/src/odbc/unittests/preperror.c
+++ b/src/odbc/unittests/preperror.c
@@ -2,7 +2,7 @@
 
 /* test error on prepared statement, from Nathaniel Talbott test */
 
-static char software_version[] = "$Id: preperror.c,v 1.7 2008/11/04 10:59:02 freddy77 Exp $";
+static char software_version[] = "$Id: preperror.c,v 1.8 2008/11/04 14:46:17 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 int
@@ -14,7 +14,7 @@ main(int argc, char *argv[])
 
 	Connect();
 
-	Command(Statement, "CREATE TABLE #urls ( recdate DATETIME ) ");
+	Command("CREATE TABLE #urls ( recdate DATETIME ) ");
 
 	/* test implicit conversion error */
 	CHKExecDirect((SQLCHAR *) "INSERT INTO #urls ( recdate ) VALUES ( '2003-10-1 10:11:1 0' )", SQL_NTS, "E");
diff --git a/src/odbc/unittests/print.c b/src/odbc/unittests/print.c
index d23cea7..9ba83ae 100644
--- a/src/odbc/unittests/print.c
+++ b/src/odbc/unittests/print.c
@@ -1,6 +1,6 @@
 #include "common.h"
 
-static char software_version[] = "$Id: print.c,v 1.20 2008/11/04 10:59:02 freddy77 Exp $";
+static char software_version[] = "$Id: print.c,v 1.21 2008/11/04 14:46:17 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 static SQLCHAR output[256];
@@ -32,10 +32,7 @@ test(int odbc3)
 	/* issue print statement and test message returned */
 	output[0] = 0;
 	query = "print 'START' select count(*) from sysobjects where name='sysobjects' print 'END'";
-	if (CommandWithResult(Statement, query) != SQL_SUCCESS_WITH_INFO) {
-		printf("SQLExecDirect should return SQL_SUCCESS_WITH_INFO\n");
-		return 1;
-	}
+	CHKR(CommandWithResult, (Statement, query), "I");
 	ReadError();
 	if (!strstr((char *) output, "START")) {
 		printf("Message invalid\n");
@@ -98,10 +95,7 @@ test(int odbc3)
 	}
 
 	/* issue invalid command and test error */
-	if (CommandWithResult(Statement, "SELECT donotexistsfield FROM donotexiststable") != SQL_ERROR) {
-		printf("SQLExecDirect returned strange results\n");
-		return 1;
-	}
+	CHKR(CommandWithResult, (Statement, "SELECT donotexistsfield FROM donotexiststable"), "E");
 	ReadError();
 
 	/* test no data returned */
diff --git a/src/odbc/unittests/putdata.c b/src/odbc/unittests/putdata.c
index e5cb613..1598231 100644
--- a/src/odbc/unittests/putdata.c
+++ b/src/odbc/unittests/putdata.c
@@ -2,7 +2,7 @@
 
 /* Test for SQLPutData */
 
-static char software_version[] = "$Id: putdata.c,v 1.13 2008/11/04 10:59:02 freddy77 Exp $";
+static char software_version[] = "$Id: putdata.c,v 1.14 2008/11/04 14:46:17 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 static const char test_text[] =
@@ -24,7 +24,7 @@ main(int argc, char *argv[])
 	Connect();
 
 	/* create table to hold data */
-	Command(Statement, "CREATE TABLE #putdata (c TEXT NULL, b IMAGE NULL)");
+	Command("CREATE TABLE #putdata (c TEXT NULL, b IMAGE NULL)");
 
 	sql_type = SQL_LONGVARCHAR;
 	type = SQL_C_CHAR;
@@ -44,8 +44,7 @@ main(int argc, char *argv[])
 
 		p = test_text;
 		n = 5;
-		if (SQLParamData(Statement, &ptr) != SQL_NEED_DATA)
-			ODBC_REPORT_ERROR("Wrong result from SQLParamData");
+		CHKParamData(&ptr, "Ne");
 		if (ptr != (SQLPOINTER) 123)
 			ODBC_REPORT_ERROR("Wrong pointer from SQLParamData");
 		while (*p) {
@@ -70,7 +69,7 @@ main(int argc, char *argv[])
 		CHKParamData(&ptr, "E");
 
 		/* check state  and reset some possible buffers */
-		Command(Statement, "DECLARE @i INT");
+		Command("DECLARE @i INT");
 
 		if (sql_type == SQL_LONGVARCHAR && db_is_microsoft() && db_version_int() >= 0x08000000u) {
 			sql_type = SQL_WLONGVARCHAR;
@@ -118,7 +117,7 @@ main(int argc, char *argv[])
 	CHKParamData(&ptr, "E");
 
 	/* check state  and reset some possible buffers */
-	Command(Statement, "DECLARE @i2 INT");
+	Command("DECLARE @i2 INT");
 
 
 	/* test len == 0 case from ML */
diff --git a/src/odbc/unittests/raiserror.c b/src/odbc/unittests/raiserror.c
index 82a5538..0321b2f 100644
--- a/src/odbc/unittests/raiserror.c
+++ b/src/odbc/unittests/raiserror.c
@@ -4,7 +4,7 @@
 
 /* TODO add support for Sybase */
 
-static char software_version[] = "$Id: raiserror.c,v 1.22 2008/11/04 10:59:02 freddy77 Exp $";
+static char software_version[] = "$Id: raiserror.c,v 1.23 2008/11/04 14:46:18 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 #define SP_TEXT "{?=call #tmp1(?,?,?)}"
@@ -251,7 +251,7 @@ Test2(int nocount, int second_select)
 
 	Test(11);
 
-	Command(Statement, "DROP PROC #tmp1");
+	Command("DROP PROC #tmp1");
 }
 
 int
diff --git a/src/odbc/unittests/rebindpar.c b/src/odbc/unittests/rebindpar.c
index 87bcbea..bb184a7 100644
--- a/src/odbc/unittests/rebindpar.c
+++ b/src/odbc/unittests/rebindpar.c
@@ -2,7 +2,7 @@
 
 /* Test for executing SQLExecute and rebinding parameters */
 
-static char software_version[] = "$Id: rebindpar.c,v 1.8 2008/11/04 10:59:02 freddy77 Exp $";
+static char software_version[] = "$Id: rebindpar.c,v 1.9 2008/11/04 14:46:18 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 #define SWAP_STMT(b) do { SQLHSTMT xyz = Statement; Statement = b; b = xyz; } while(0)
@@ -24,7 +24,7 @@ TestInsert(char *buf)
 
 	SWAP_STMT(stmt);
 	sprintf(sql, "SELECT 1 FROM #tmp1 WHERE c = '%s'", buf);
-	Command(Statement, sql);
+	Command(sql);
 	CHKFetch("S");
 	CHKFetch("No");
 	CHKMoreResults("No");
@@ -43,7 +43,7 @@ Test(int prebind)
 	for (i = 0; i < 21; ++i)
 		strcat(buf, "miao");
 
-	Command(Statement, "DELETE FROM #tmp1");
+	Command("DELETE FROM #tmp1");
 
 	CHKAllocStmt(&stmt, "S");
 
@@ -71,7 +71,7 @@ main(int argc, char *argv[])
 {
 	Connect();
 
-	Command(Statement, "CREATE TABLE #tmp1 (c VARCHAR(200))");
+	Command("CREATE TABLE #tmp1 (c VARCHAR(200))");
 
 	Test(1);
 	Test(0);
